Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.tools.schemaframework
Class PackageDefinition

`java.lang.Object
oracle.toplink.tools.schemaframework.DatabaseObjectDefinition
oracle.toplink.tools.schemaframework.PackageDefinition`

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable

public class PackageDefinition
extends DatabaseObjectDefinition

Purpose: Allow a semi-generic way of creating packages.

See Also:
  Serialized Form

Field Summary

Fields inherited from class oracle.toplink.tools.schemaframework.DatabaseObjectDefinition
`name, qualifier`

Constructor Summary
`PackageDefinition()`

Method Summary
`void` | `addProcedures(StoredProcedureDefinition procedure)` Packages can contain sets of procedures.
`void` | `addStatement(java.lang.String statement)` The statements are the SQL lines of code.
`java.util.Vector` | `getProcedures()` Packages can contain sets of procedures.
`java.util.Vector` | `getStatements()` The statements are the SQL lines of code.
`void` | `setProcedures(java.util.Vector procedures)` Packages can contain sets of procedures.
`void` | `setStatements(java.util.Vector statements)` The statements are the SQL lines of code.

Methods inherited from class oracle.toplink.tools.schemaframework.DatabaseObjectDefinition
`clone, getName, getQualifier, setName, setQualifier, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PackageDefinition

    public PackageDefinition()

Method Detail

### addProcedures

    public void addProcedures(StoredProcedureDefinition procedure)

  Packages can contain sets of procedures.

### addStatement

    public void addStatement(java.lang.String statement)

  The statements are the SQL lines of code.

### getProcedures

    public java.util.Vector getProcedures()

  Packages can contain sets of procedures.

### getStatements

    public java.util.Vector getStatements()

  The statements are the SQL lines of code.

### setProcedures

    public void setProcedures(java.util.Vector procedures)

  Packages can contain sets of procedures.

### setStatements

    public void setStatements(java.util.Vector statements)

  The statements are the SQL lines of code.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD